{smcl}
{* *! version 1.0  Oct2014}{...}
{findalias asfradohelp}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[R] help" "help help"}{...}
{viewerjumpto "Syntax" "callagain##syntax"}{...}
{viewerjumpto "Description" "callagain##description"}{...}
{viewerjumpto "Options" "callagain##options"}{...}
{viewerjumpto "Remarks" "callagain##remarks"}{...}
{viewerjumpto "Examples" "callagain##examples"}{...}
{title:Title}

{phang}
{bf:callagain} {hline 2} Calculates treatment effect bounds following Behaghel et al. (2015).


{marker syntax}{...}
{title:Syntax}

{p 8 17 2}
{cmdab:callagain}
{depvar}
{it:{help varname:treatvar}}
{it:{help varname:respvar}}
{it:{help varname:ncallsvar}} 
{ifin}
{weight}
{cmd:,} ytype({it:bin}|{it:cont}) 
[{it:options}]

{synoptset 28 tabbed}{...}
{marker Variables}{...}
{synopthdr :Variables}
{synoptline}
{syntab :Model}
{synopt :{it:{help varname:depvar}}}dependent variable{p_end}
{synopt :{it:{help varname:treatvar}}}binary treatment indicator{p_end}
{synopt :{it:{help varname:respvar}}}response variable{p_end}
{synopt :{it:{help varname:ncallsvar}}}number of calls variable{p_end}

{pstd}
ytype: binary or continuous

{synoptset 20 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Main}
{synopt:{opt g:raph}}plot response rate against number of calls{p_end}
{synopt:{opt lev:el(#)}}set confidence level; default is level(95){p_end}
{synoptline}
{p2colreset}{...}
{p 4 6 2}
{cmd:fweight}s and {cmd:aweight}s are allowed; see {help weight}.


{marker description}{...}
{title:Description}

{pstd}
{cmd:callagain} calculates bounds for the treatment effect on {depvar} when
there are different response rates across treatment and control groups, using information on the number of prior calls made to each individual before obtaining a response to the survey.
Confidence intervals are calculated for the upper and lower bounds, as well as
for the treatment effect itself.

{pstd}
The command installs the package {cmd: invcdf} for use in the calculations, 
if it is not already installed.


{marker options}{...}
{title:Options}

{dlgtab:Main}

{phang}
{opt graph} plot response rates against the number of calls for the treatment and control groups, and display w1 & w1-1, the cutoff number of calls

{dlgtab:Reporting}

{phang}
{opt level(#)} see {helpb estimation options##level():[R] estimation options}. Change the reported confidence level.


{marker remarks}{...}
{title:Remarks}

{pstd}
For detailed information on callagain, see {bf:[R] intro}.


{marker examples}{...}
{title:Examples}

{pstd}Basic syntax{p_end}
{phang2}{cmd:. callagain y Z R N, yvar("bin")}{p_end}

{phang2}{cmd:. callagain y Z R N, yvar("cont")}{p_end}

{pstd}With graph and confidence level{p_end}
{phang2}{cmd:. callagain y Z R N, yvar("bin") graph level(99)}{p_end}


{marker results}{...}
{title:Saved Results}

{pstd}
{cmd:callagain} saves the following in {cmd:e()}:

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Scalars}{p_end}
{synopt:{cmd:e(N)}}number of observations after truncation{p_end}
{synopt:{cmd:e(z)}}truncated experimental group{p_end}
{synopt:{cmd:e(w)}}number of calls above which truncation is done{p_end}
{synopt:{cmd:e(aa)}}value of alpha{p_end}
{synopt:{cmd:e(dlb)}}value of lower bound for treatment effect delta{p_end}
{synopt:{cmd:e(dub)}}value of upper bound for treatment effect delta{p_end}
{synopt:{cmd:e(level)}}confidence level{p_end}
{synopt:{cmd:e(cilower)}}value of lower bound for the CI of the treatment effect delta{p_end}
{synopt:{cmd:e(ciupper)}}value of upper bound for the CI of the treatment effect delta{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Macros}{p_end}
{synopt:{cmd:e(cmd)}}{cmd:callagain}{p_end}
{synopt:{cmd:e(cmdline)}}command as typed{p_end}
{synopt:{cmd:e(title)}}{cmd:Behaghel et al (2015) treatment effect bounds}{p_end}
{synopt:{cmd:e(depvar)}}{it:depvar}{p_end}
{synopt:{cmd:e(properties)}}{opt b V}{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Matrices}{p_end}
{synopt:{cmd:e(b)}}{it:1x2} vector of estimated treatment effect bounds{p_end}
{synopt:{cmd:e(V)}}{it:2x2} variance-covariance matrix for estimated treatment effect bounds{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Functions}{p_end}
{synopt:{cmd:e(sample)}}marks estimation sample{p_end}
{p2colreset}{...}


{marker references}{...}
{title:References}

{pstd}
Behaghel, L., B. Crepon, M. Gurgand, and T. Le Barbanchon (2015): Please Call Again: Correcting NonResponse
Bias in Treatment Effect Models, {it: Review of Economics and Statistics}, 97(5), December 2015.


{marker also}{...}
{title:Also See}

{psee}
Manual: {manlink R heckman}

{psee}
{space 2}Help: {manhelp heckman R:heckman}{break}
{manhelp leebounds R:leebounds}{p_end}


{marker author}{...}
{title:Author}

{psee}
Chandrachud Basavaraj{p_end}
{psee}
Paris, France{p_end}
{psee}
E-mail: chandrachud.basavaraj@sciencespo.fr
{p_end}

{psee}
Luc Behaghel{p_end}
{psee}
Paris, France{p_end}
{psee}
E-mail: luc.behaghel@ens.fr
{p_end}

{title:Disclaimer}
 
{pstd} This software is provided "as is" without warranty of any kind, either expressed or implied. The entire risk as to the quality and 
performance of the program is with you. Should the program prove defective, you assume the cost of all necessary servicing, repair or 
correction. In no event will the copyright holders or their employers, or any other party who may modify and/or redistribute this software, 
be liable to you for damages, including any general, special, incidental or consequential damages arising out of the use or inability to 
use the program.
{p_end} 
